---
url: "https://vueda.dev/v3/reference/api/js/stores/storeUser/methods/resetPassword.md"
title: "resetPassword"
---

# resetPassword

## Overview

Sets a new password using the `pk` and `token` from a password reset link.

## Signature

`resetPassword(payload)`

### Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| <span id="param-payload">payload</span> | `object` | yes | The request body. |

#### payload Properties

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| <span id="param-payload-password">password</span> | `string` |  |  | The new password. |
| <span id="param-payload-password_confirm">password_confirm</span> | `string` |  |  | The new password again, for confirmation. |
| <span id="param-payload-pk">pk</span> | `string` |  |  | The encoded user id from the reset link. |
| <span id="param-payload-token">token</span> | `string` |  |  | The reset token from the reset link. |

### Returns

`Promise`

The decoded response data; `undefined` on success.

## Source

`client/lib/stores/storeUser.js:671`
